<?php

if (!defined('ABSPATH'))
    exit;

/* ------------------Blog Settings ----------------------- */
Redux::set_section($opt_name, array(
    'title' => esc_html__('Theme Typography', 'dwt-listing'),
    'id' => 'dwt-typo-settings',
    'desc' => '',
    'icon' => 'el el-text-height',
    'fields' => array(
        array(
            'id' => 'typography-body',
            'type' => 'typography',
            'title' => esc_html__('Body Font', 'dwt-listing'),
            'subtitle' => esc_html__('Specify the body font properties.', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#444',
                'font-size' => '14px',
                'font-family' => 'Poppins',
                'font-weight' => '400',
                'line-height' => '26px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_nav-typo',
            'type' => 'typography',
            'title' => esc_html__('Naviagtion (Menu) Style', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#555',
                'font-size' => '14px',
                'font-family' => 'Poppins',
                'font-weight' => '400',
                'line-height' => '50px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_h2_typo',
            'type' => 'typography',
            'title' => esc_html__('Heading H2 Styling', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#444',
                'font-size' => '30px',
                'font-family' => 'Poppins',
                'font-weight' => '500',
                'line-height' => '35px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_h3_typo',
            'type' => 'typography',
            'title' => esc_html__('Heading H3 Styling', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#444',
                'font-size' => '20px',
                'font-family' => 'Poppins',
                'font-weight' => '400',
                'line-height' => '',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_h4_typo',
            'type' => 'typography',
            'title' => esc_html__('Heading H4 Styling', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#444',
                'font-size' => '18px',
                'font-family' => 'Poppins',
                'font-weight' => '400',
                'line-height' => '18px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_h5_typo',
            'type' => 'typography',
            'title' => esc_html__('Heading H5 Styling', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#444',
                'font-size' => '16px',
                'font-family' => 'Poppins',
                'font-weight' => '400',
                'line-height' => '22px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_h6_typo',
            'type' => 'typography',
            'title' => esc_html__('Heading H6 Styling', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#444',
                'font-size' => '14px',
                'font-family' => 'Poppins',
                'font-weight' => '400',
                'line-height' => '18px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_p_typo',
            'type' => 'typography',
            'title' => esc_html__('Paragraphs', 'dwt-listing'),
            'google' => true,
            'font-backup' => false,
            'text-align' => false,
            'all_styles' => true,
            'default' => array(
                'color' => '#999',
                'font-size' => '16px',
                'font-family' => 'Open Sans',
                'font-weight' => '400',
                'line-height' => '30px',
                'google' => true,
            ),
        ),
        array(
            'id' => 'dwt_primary_clr',
            'type' => 'color',
            'title' => esc_html__('Theme Main (Primary) Color', 'dwt-listing'),
            'subtitle' => esc_html__('Theme  main color (default: #e52d27) hover color as well.', 'dwt-listing'),
            'transparent' => false,
            'default' => '#e52d27',
            'validate' => 'color',
        ),
        array(
            'id' => 'dwt_btnz_plate',
            'type' => 'link_color',
            'title' => esc_html__('Theme Buttons Colors', 'dwt-listing'),
            'default' => array(
                'regular' => '#242424',
                'hover' => '#e52d27',
                'active' => '#ea5652',
            )
        ),
        array(
            'id' => 'dwt_naviagtion_color',
            'type' => 'color_rgba',
            'title' => __('Background RGBA For Transparent Header', 'dwt-listing'),
            'subtitle' => esc_html__('Only works with transpatent header', 'dwt-listing'),
            'default' => array(
                'color' => '',
                'alpha' => ''
            ),
            'output' => array(
                'background-color' => '.menu-transparent',
            ),
            'mode' => 'background',
            'validate' => 'colorrgba',
        ),
        array(
            'id' => 'dwt_naviagtion_solid_color',
            'type' => 'color_rgba',
            'title' => __('Background For Other Headers', 'dwt-listing'),
            'subtitle' => esc_html__('With with all header styles expect transparent', 'dwt-listing'),
            'default' => array(
                'color' => '#fff',
                'alpha' => '1'
            ),
            'output' => array('background-color' => '.header-top, .header-type-2'),
            'mode' => 'background',
            'validate' => 'colorrgba',
            'options' => array(
                'show_palette' => true,
                'show_palette_only' => false,
                'show_selection_palette' => true,
                'max_palette_size' => 10,
                'allow_empty' => true,
                'clickout_fires_change' => false,
                'choose_text' => 'Choose',
                'cancel_text' => 'Cancel',
                'show_buttons' => true,
                'input_text' => 'Select Color'
            ),
        ),
        array(
            'id' => 'dwt_breadcrumnb_color',
            'type' => 'color_rgba',
            'title' => __('Background RGBA For Breadcrumb', 'dwt-listing'),
            'default' => array(
                'color' => '',
                'alpha' => '.8'
            ),
            'output' => array('.transparent-breadcrumb-listing::after'),
            'mode' => 'background',
            'validate' => 'colorrgba',
        ),
        array(
            'id' => 'dwt_topbar_clr',
            'type' => 'color',
            'title' => esc_html__('Topbar Color', 'dwt-listing'),
            'subtitle' => esc_html__('Theme  main topbar color (default: #503263).', 'dwt-listing'),
            'transparent' => false,
            'default' => '#503263',
            'validate' => 'color',
            'output' => array('background-color' => '.header-info-bar'),
        ),
    )
));
